|  | timer.h File Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Typedefs | Functions
timer.h File Reference

Measure elapsed wall-clock time in milliseconds. More...

`#include <cstddef>`
`#include <sys/time.h>`
Include dependency graph for timer.h:

## Namespaces
| reflex

## Typedefs
typedef timeval | reflex::timer_type

## Functions
void | reflex::timer_start (timer_type &t)
| Start timer. More...
float | reflex::timer_elapsed (timer_type &t)
| Return elapsed time in milliseconds (ms) with microsecond precision since the last call up to 1 minute (wraps if elapsed time exceeds 1 minute!) More...

## Detailed Description

Measure elapsed wall-clock time in milliseconds.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt